> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# prefdescline

> PrefDesc creates a MDO list of prefdesclines for a given prefdesc id.

## "prefdescline" MDO List

PrefDesc creates a MDO list of prefdesclines for a given prefdesc id.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.PrefDescLineProvider">PrefDescLineProvider</see> class.
The name of the MDO list is 'prefdescline'.

## Additional Attributes

| Description             | Name | Example Value |
| ----------------------- | ---- | ------------- |
| Pref desc id (required) |      | 123           |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/prefdescline
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("prefdescline", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "prefdesclineheadings"
* "prefdesclineheadingswithallitem"
* "prefdesclineheadingswithallitemwithnoselection"
* "prefdesclineheadingswithnoselection"
* "prefdesclinewithallitem"
* "prefdesclinewithallitemwithnoselection"
* "prefdesclinewithnoselection"


## Related topics

- [PrefDescLine table](/en/database/tables/prefdescline.md)
- [SuperOffice.WebApi.Data.PreferenceDescriptionLine](/en/api/reference/webapi/SuperOffice.WebApi.Data.PreferenceDescriptionLine.md)
- [SuperOffice.WebApi.Agents.PreferenceAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.PreferenceAgent.md)
- [SuperOffice.WebApi.Agents.IPreferenceAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IPreferenceAgent.md)
- [NSPreferenceAgent](/en/automation/crmscript/reference/CRMScript.NetServer.NSPreferenceAgent.md)
- [Delete Preference Description Lines](/en/api/reference/restful/agent/preference_agent/delete-preference-description-lines.md)
